import { Functional } from '../../../../Class/Functional';
import { System } from '../../../../system';
export interface I {
    a: string;
    regex: string;
    replacement: string;
}
export interface O {
    a: string;
}
export default class Replace extends Functional<I, O> {
    constructor(system: System);
    f({ a, regex, replacement }: I, done: any): void;
}
